.wait-anim-container {
	position: relative;
	min-width: 24px;
	min-height: 24px;
	
}
.wait-anim-container > *:not(.wait-anim-container-overlay) {
	opacity: 1;
	transition: opacity 0.8s;
}
.wait-anim-container.wait-anim > *:not(.wait-anim-container-overlay) {
	opacity: 0.15;
}
div.wait-anim-container-overlay {
	opacity: 0;
	transition: opacity 0.8s;
	position: absolute;
	inset: 0px;
	box-shadow: inset 0 0 100px 0 rgba(0, 0, 0, 0.1);
}
div.wait-anim-container-inner {
	position: absolute;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}
.wait-anim-container.wait-anim div.wait-anim-container-overlay {
	opacity: 1;
}
svg.wait-anim-container-spinner {
	width: 30%;
	height: 30%;
	max-width: 128px;
	min-width: 24px;
	max-height: 128px;
	min-height: 24px;
}
.wait-anim-container-text {
	font-size: 0.8em;
}